#
# spec file for package rubygem-moneta
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-moneta
Version:        0.8.0
Release:        9.3
%define mod_name moneta
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/minad/moneta
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A unified interface to key/value stores, including Redis, Memcached,
License:        MIT
Group:          Development/Languages/Ruby

%description
A unified interface to key/value stores.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 28 2014 coolo@suse.com
- updated to version 0.8.0
  * Rename Moneta::Adapters::Mongo to Moneta::Adapters::MongoOfficial
  * Add Moneta::Adapters::MongoMoped
  * Drop Ruby 1.8 support
* Thu Oct 10 2013 coolo@suse.com
- updated to version 0.7.20
  * Adapters::LRUHash: add option :max_value
  * Moneta.new(:Couch, :Riak, :RestClient): use urlencode instead of base64 for key encoding)
  * Transformer: Add :hex encoder
  * Transformer: Don't wrap object in array for JSON serialization
  * Transformer: Add :php serializer
  * Moneta.new(:Sequel) - Don't encode blob data using base64
  * Moneta::Adapters::LMDB added (Symas Lightning Memory-Mapped Database)
  * Moneta::Adapters::Sequel - Fix for https://github.com/jeremyevans/sequel/issues/715
* Tue Jul 30 2013 coolo@suse.com
- updated to version 0.7.19
  * ActionDispatch::Session::MonetaStore fixed for Rails 4
  * Moneta::Server: Tries now to remove stale unix socket
  * Moneta::Server: More robust and better performance
  * Adapters::File#increment and #create fixed on JRuby
  * Adapters::Couch and Adapters::Mongo can store hashes directly as documents.
  It is not necessary to serialize values as strings anymore.
  * Adapters::Couch#create added
  * Pool thread safety improved
  * Transformer: Add CityHash
  * Transformer: LZ4 compression added
* Thu Jun 13 2013 coolo@suse.com
- updated to version 0.7.17
  * Better builder validation
  * Adapters::Sequel: check for correct exceptions
* Tue Jun  4 2013 coolo@suse.com
- updated to version 0.7.16
  * CONTRIBUTORS file added
  * Adapters::File#increment fixed
  * Adapters::ActiveRecord, Adapters::Sequel: store values as blobs
  * Adapters::ActiveRecord fixed and improved
  * Adapters::ActiveRecord: Use connection_pool
  * Adapters::File: Race condition in #increment fixed
  * Concurrency tests added
  * Bugfixes for File, Sqlite, Sequel and Datamapper, ActiveRecord
  * Logger: Add option :file
  * Adapters::TokyoTyrant supports both native (ruby-tokyotyrant) and pure-ruby tokyotyrant gems
  * Adapters::Couch use Faraday directly instead of buggy CouchRest
  * Adapters::RestClient use Faraday
  * Transformer: add quoted printable encoding (:qp)
  * Adapters::TokyoTyrant added
  * Add attr_reader :backend and option :backend to some adapters
  * Cache rename #backend to #adapter
  * Adapters::KyotoCabinet added
  * Feature detection methods #features and #supports? added
  * Validity checks added which check features
* Thu Jan 24 2013 coolo@suse.com
- updated to version 0.7.8
* Wed Jan  2 2013 coolo@suse.com
- updated to version 0.7.3
  * Added Adapters::RestClient
  * Added Rack::MonetaRest
  * Added Rack::MonetaStore
* Fri Dec 28 2012 coolo@suse.com
- updated to version 0.7.2
  * Renamed WithOptions to OptionSupport
  * Refactored Base in Defaults mixin
  * Removed Transformer option :quiet
  * Transformer might raise an exception if an invalid value is transformed
  * Expires middleware only wraps Arrays and nils in an Array if
  no expiration time is given (backward compatible change)
  * Moneta middlewares are not allowed to modify option hash given to functions
  like #load and #store
* Tue Dec 25 2012 coolo@suse.com
- updated to version 0.7.1
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Nov 19 2009 mrueckert@suse.de
- initial package of version 0.6.0
